package de.hs_mannheim.informatik.domain;

import java.io.InputStream;

public class FieldDataResult {
    private final String[][] data;
    private final String[][] colors;
    private final InputStream gameStream;

    public FieldDataResult(String[][] data, String[][] colors, InputStream gameStream) {
        this.data = data;
        this.colors = colors;
        this.gameStream = gameStream;
    }

    public String[][] getData() {
        return data;
    }

    public String[][] getColors() {
        return colors;
    }

    public InputStream getGameStream() {
        return gameStream;
    }
}
