package de.hs_mannheim.informatik.test;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertNotEquals;

import java.io.IOException;
import java.io.InputStream;

import org.junit.jupiter.api.Test;

import de.hs_mannheim.informatik.domain.HighscoreManager;

public class HighscoreManagerTest {
	@Test 
	void getAvgTimeTest1() throws IOException {
		String filename = "timeFileForTest.txt";
		String path = "/Hitori_Highscores/timeFileForTest.txt";
    	InputStream inputStream = getClass().getResourceAsStream(path);
		byte[] data = inputStream.readAllBytes();
		String actual = new HighscoreManager().getAvgTime(data, filename);
		String expected = "Durchschnittszeit: 6:39";
		assertEquals(expected, actual);
	}
	
	@Test 
	void getAvgTimeTest2() throws IOException {
		String filename = "timeFileForTest.txt";
		String path = "/Hitori_Highscores/timeFileForTest.txt";
    	InputStream inputStream = getClass().getResourceAsStream(path);
		byte[] data = inputStream.readAllBytes();
		String actual = new HighscoreManager().getAvgTime(data, filename);
		String expected = "Durchschnittszeit: 00:10";
		assertNotEquals(expected, actual);
	}	
}
