package de.hs_mannheim.informatik.gui;

import java.awt.BorderLayout;
import java.awt.CardLayout;
import java.io.FileNotFoundException;
import java.io.IOException;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

import de.hs_mannheim.informatik.domain.Highscores;

public class NewEntryGUI {
    public static void finish(CardLayout cl, JPanel main, String endtime, String[] filepath, String path) throws FileNotFoundException{
        JPanel mainPanel = new JPanel(new BorderLayout());
        JLabel topText = new JLabel("Geben Sie unten Ihren Namen an um sich in der Highscore Liste einzutragen.");
        mainPanel.add(topText, BorderLayout.NORTH);
        JTextField field = new JTextField(20);
        mainPanel.add(field, BorderLayout.CENTER);
        JButton addHighscoreButton = new JButton("In der Highscore Liste eintragen");
        mainPanel.add(addHighscoreButton, BorderLayout.SOUTH);
        mainPanel.setVisible(true);
        mainPanel.setSize(700,700);
        addHighscoreButton.addActionListener(e -> {
            String username = field.getText();
            try {           	
                Highscores.newRecord(path, username, endtime);
                filepath[0] = "";
                filepath[1] = "";
                cl.show(main, "HAUPT");
            } catch (IOException e1) {
                e1.getMessage();
            }    
        });
        main.add(mainPanel, "HIGHSCORENEU");
        cl.show(main, "HIGHSCORENEU");
    }
}
