package de.hs_mannheim.informatik.test;

import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertTrue;
import java.time.LocalTime;
import org.junit.jupiter.api.Test;
import de.hs_mannheim.informatik.domain.HighscoreEintrag;

public class HighscoreEintragTest {
	
	@Test
	void highscoreEintragGetterTest() {
		LocalTime time = LocalTime.of(10, 00); 
		HighscoreEintrag he = new HighscoreEintrag(time, "Berat");
		assertTrue(he.getName().equals("Berat"));
		LocalTime parsedTime = LocalTime.parse("10:00");
		assertTrue(he.getTime().equals(parsedTime));
		LocalTime wrongParsedTime = LocalTime.parse("11:00");
		assertFalse(he.getTime().equals(wrongParsedTime));
		assertFalse(he.getName().equals("Emre"));
	}   
}
